Version 6.x.x Source

Table Name: `tabPayment Gateway Account`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `gateway_acount_details` | Section Break | Gateway Acount Details |
2 | `is_default` | Check | Is Default |
3 | `gateway` | Link | Gateway | Payment Gateway
4 | `payment_account` | Link | Payment Account | Account
5 | `currency` | Read Only | Currency |
    payment_account.account_currency
6 | `payment_request_message` | Section Break | Payment Request Message |
7 | `message` | Text Editor |  |
8 | `payment_url_message` | Data | Payment URL Message |
9 | `payment_success_url` | Data | Payment Success URL |

### Controller

#### erpnext.accounts.doctype.payment_gateway_account.payment_gateway_account

### Class PaymentGatewayAccount

Inherits from frappe.model.document.Document

autoname (self)

No docs

set_as_default_if_not_set (self)

No docs

update_default_payment_gateway (self)

No docs

validate (self)

No docs

#### Linked In:

- Payment Request